commit 894d599f9c79aab392692e64648b8ea72d898dde
parent 155b87d27f75397948d641484f79b93c6be5721d
Author: Szymon Mikulicz <szymon.mikulicz@posteo.net>
Date: Tue, 26 May 2026 20:07:13 +0200
Blurry blurr
Diffstat:
5 files changed, 15 insertions(+), 8 deletions(-)
diff --git a/mlterm/.mlterm/main b/mlterm/.mlterm/main
@@ -5,7 +5,7 @@ use_combining = true
use_anti_alias = true
use_scrollbar = false
depth = 32
-vt_color_mode = true
+vt_color_mode = 256
alpha = 200
termtype = mlterm-256color
borderless = true
@@ -15,5 +15,5 @@ fontsize = 11
fg_color = #e0def4
bg_color = #232136
-cursor_bg_color = #56526e
-cursor_fg_color = #e0def4
+#cursor_bg_color = #56526e
+#cursor_fg_color = #e0def4
diff --git a/sway/.config/sway/config b/sway/.config/sway/config
@@ -1,7 +1,5 @@
# vim: filetype=i3config
include /etc/sway/config.d/*
-include ~/.config/sway/config.d/*
-exec_always ~/.config/sway/isfx && xargs -a ~/.config/sway/fxconfig -i swaymsg '{}'
set $mod Mod4
@@ -204,3 +202,6 @@ exec exec nm-applet
for_window [app_id="firefox"] inhibit_idle fullscreen
for_window [app_id="mpv"] inhibit_idle fullscreen
+
+exec_always ~/.config/sway/isfx && ~/.config/sway/load ~/.config/sway/fxconfig
+include ~/.config/sway/config.d/*
diff --git a/sway/.config/sway/fxconfig b/sway/.config/sway/fxconfig
@@ -1,2 +1,6 @@
+# vim: set ft=swayconfig:
# Swayfx additional config
corner_radius 8
+for_window [app_id="mlterm"] blur enable
+blur_passes 1
+layer_effects "panel" "blur enable"
diff --git a/sway/.config/sway/isfx b/sway/.config/sway/isfx
@@ -3,6 +3,6 @@
echo "Not sway"
exit 2
}
-SWAY="$(swaymsg -t get_version | jq -r '.variant')"
-echo "Running $SWAY"
-[ "$SWAY" = swayfx ] && exit 0 || exit 1
+FX="$(swaymsg -t get_version | jq -r '.sway_original_version != null')"
+echo "$FX"
+[ "$FX" = "true" ] && exit 0 || exit 1
diff --git a/sway/.config/sway/load b/sway/.config/sway/load
@@ -0,0 +1,2 @@
+#!/bin/sh
+sed -n '/^[^#]/p' "$1" | xargs -i swaymsg '{}'